org.eclipse.mat.ui.internal.acquire

## Class AcquireSnapshotAction.AcquireWizard

- java.lang.Object
- - Wizard
  - - org.eclipse.mat.ui.internal.acquire.AcquireSnapshotAction.AcquireWizard

Enclosing class:
  AcquireSnapshotAction

    public static class AcquireSnapshotAction.AcquireWizard
    extends Wizard

### Constructor Summary

Constructors
Constructor and Description
`AcquireWizard()`
`AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPages()`
`boolean` `canFinish()`
`IWizardPage` `getStartingPage()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`boolean` `performFinish()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcquireWizard

    public AcquireWizard(Collection<HeapDumpProviderDescriptor> dumpProviders)

#### AcquireWizard

    public AcquireWizard()

### Method Detail

#### addPages

    public void addPages()

#### performFinish

    public boolean performFinish()

#### canFinish

    public boolean canFinish()

#### getStartingPage

    public IWizardPage getStartingPage()

#### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)